package it.unitn.lingprogmod1.esercitazione2;

import java.util.Scanner;

public class Gioco {
    public static void main(String a[]) {
        new Gioco();
    }
    public Gioco(){
        String msg;
        int n=0;
        Mazzo m = new Mazzo();
        m.mescola();
        Scanner scanner=new Scanner(System.in);
        boolean error=true;
        do {
            error=true;
            System.out.println("dammi un numero tra 1 e "+m.size());
            String valoreLetto=scanner.next();
            try {
                n=Integer.parseInt(valoreLetto);
                if (n>0 && n<= m.size()) {
                    error = false;
                } else {
                    System.out.println("ERRORE: Numero non accettabile");
                }
            } catch (NumberFormatException ex) {
                System.out.println("ERRORE: Non hai dato un numero intero");
            }
        } while (error);
        Mazzo mazzetto = new Mazzo(10, m);
        // stampa il mazzetto estratto
        System.out.println(mazzetto);
        Carta c = mazzetto.trovaPrimaDoppia();
        if (c == null) {
            msg="Spiacente, hai perso";
        } else {
            msg="Hai vinto con " + c;
        }
        System.out.println(msg);
    }
}
